Page MenuHomePhabricator

As a user with vision impairments I need a dark background when reading an article in iOS app
Closed, ResolvedPublic

Description

For a group of people who suffer from vision impairments background is the main factor determining whether he/she is able to read the text or not. This is because:

  • People suffering from photophobia are effectively “blinded” by white background, although they can be able to read text on dark background (some even at normal size and without any further problems).
  • For some visually impaired people, reading is a tiring activity, but it is less tiring on darker background.
  • Some people are not hurt by white background, but instead they need bright letters to be able to read them well.
  • Even perfectly healthy people may prefer darker background when the ambient is dark (such as at night or in a shaded conference hall).

The Wikipedia iOS app uses mainly black letters on white background for text of articles and doesn't make it possible to change this, which can make the content inaccessible for such people.

Therefore, the menu proposed in T126688 should be extended by a possibility to set white or dark background (and possibly sepia or similar) as is done e.g. Apple iBooks, Safari Reader and as it is also illustrated on the screenshot attached to T126688.

Again, it is essential that this possibility is at hand to the user when he/she is reading an article (instead of being available only from the apps Settings screen), because readers need to change the background based on the circumstances (mainly light conditions, but also tiredness etc.). Also this setting should persist between different articles and when closing/reopening the app.

On the other hand, it is not necessary to provide a separate control for brightness as this is easily adjustable from the iOS Control Center.

Event Timeline

hhanke created this task.Feb 11 2016, 11:09 PM
hhanke raised the priority of this task from to High.
hhanke updated the task description. (Show Details)
hhanke renamed this task from Impossibility to switch to dark background when reading an article to Impossibility to switch to dark background when reading an article in iOS app.Feb 15 2016, 9:23 AM
hhanke set Security to None.
JMinor renamed this task from Impossibility to switch to dark background when reading an article in iOS app to As a user with vision impairments I need a dark background when reading an article in iOS app.May 10 2016, 12:36 AM
JMinor lowered the priority of this task from High to Normal.
JMinor closed this task as Resolved.Mar 15 2018, 8:40 PM
JMinor claimed this task.

This shipped under a different task in the fall. The app now supports two dark reading modes as well as Apple's Smart Invert option.